/*
*
* Copyright (C) 2007 Mike Blamires
* All Rights Reserved
* Released under GPL2.0 - please see attached document.
*
* http://blog.blamires.co.uk/
* mike@blamires.co.uk
*
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace Pop3Protocol.Exceptions {
    public class ServerErrorException : ApplicationException {

        private String serverError;

        public ServerErrorException() : 
            base("The server returned an -ERR Message, if there was an associated message from the server then it can be found using the ErrMessage() method of theis exception class") {
        }

        public ServerErrorException(String serverError) :
            base(String.Format("The server returned an -ERR Message. Error: {0}, the server error message is available as a String using the ServerError accessor method.", 0)) {
            this.serverError = serverError;
        }

        public String ServerError {
            get {
                return serverError;
            }
        }

    }
}
